kdump-tools won't load until after network is online

Bug #1751329 reported by Thadeu Lima de Souza Cascardo on 2018-02-23
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
makedumpfile (Ubuntu)
Low
Thadeu Lima de Souza Cascardo
Xenial
Low
Unassigned
Artful
Low
Unassigned

Bug Description

This, at least, causes kdump-tools to load only after some timeout. It could be loaded much earlier.

kdump-tools only requires the network to be online when it's configured to dump to ssh or nfs, and only when dumping, not when loading.

We should have three services/units here:

1) the loading service, does not require network;
2) the dumping service, that works for local dumps, does not require network;
3) the dumping service, that works remotely, requires network.

Now, as per LP#1681909, maybe we should not require network-online, but use some other way to verify that the host where we want to dump is online, given a certain (configured) timeout.

Cascardo.

Changed in makedumpfile (Ubuntu):
assignee: nobody → Thadeu Lima de Souza Cascardo (cascardo)
status: New → Confirmed
importance: Undecided → Low
Jeremy Bicha (jbicha) on 2018-04-07
no longer affects: makedumpfile (Ubuntu Bionic)
Changed in makedumpfile (Ubuntu Xenial):
importance: Undecided → Low
status: New → Triaged
Changed in makedumpfile (Ubuntu Artful):
importance: Undecided → Low
status: New → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package makedumpfile - 1:1.6.3-2

---------------
makedumpfile (1:1.6.3-2) unstable; urgency=medium

  * Add support for SPARSEMEM_EXTREME mem_section as a pointer. (LP: #1750021)
  * Add an autopkgtest that test that a crash produces a compressed dump
    file.
  * Create initrd for previously installed kernels. (LP: #1751329)

 -- Thadeu Lima de Souza Cascardo <email address hidden> Mon, 05 Mar 2018 09:28:55 -0300

Changed in makedumpfile (Ubuntu):
status: Confirmed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package makedumpfile - 1:1.6.3-2~17.10.1

---------------
makedumpfile (1:1.6.3-2~17.10.1) artful; urgency=medium

  * Backport latest makedumpfile to artful. (LP: #1746299)

 -- Thadeu Lima de Souza Cascardo <email address hidden> Mon, 21 May 2018 10:56:29 -0300

Changed in makedumpfile (Ubuntu Artful):
status: Triaged → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package makedumpfile - 1:1.6.3-2~16.04.1

---------------
makedumpfile (1:1.6.3-2~16.04.1) xenial; urgency=medium

  * Backport latest makedumpfile to xenial. (LP: #1746299)
  * Revert to build-depending on dh-systemd, as xenial does not have
    debhelper >= 9.20160709.

 -- Thadeu Lima de Souza Cascardo <email address hidden> Mon, 21 May 2018 11:02:15 -0300

Changed in makedumpfile (Ubuntu Xenial):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers